﻿

.unidade-circulo {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: #e1e1e1;
    border: solid 2px #000000;
    margin: 8px;
    vertical-align: central;
    text-align: center;
}

    .unidade-circulo .unidade-numero {
        margin: 2px;
        padding: 8px;
        color: #000000;
        display: inline-table;
    }

.unidade-quadrada {
    margin-top: 15px;
    width: 150px;
    height: 50px;
    background-color: #e1e1e1;
    border: solid 2px #000000;
    margin: 8px;
    vertical-align: central;
    text-align: center;
    /*border:none;*/
}

.unidade-numero {
    font-size: 9px;
}

.unidade-quadrada .unidade-numero {
    margin: 0px;
    padding: 0px;
    color: #000000;
    display: inline-table;
    /*margin-left: -1px;*/
    /*margin-top: 13px;*/
}

.unidade-retangulo {
    margin-top: 15px;
    width: 30px;
    height: 71px;
    background-color: #e1e1e1;
    border: solid 2px #000000;
    margin: 8px;
    vertical-align: central;
    text-align: center;
    float: left;
}

    .unidade-retangulo .unidade-numero {
        margin: 2px;
        padding: 5px;
        color: #000000;
        display: inline-table;
        transform: rotate(090deg);
        margin-left: -1px;
        margin-top: 13px;
    }

.area-titulo {
    margin-bottom: 10px;
    color: #808080;
    background-color: #e1e1e1;
    padding: 2px;
    font-size: 14px;
    text-align: left;
    border-bottom: solid 1px #b4b4b4;
}

.select2-search-choice {
    color: #333 !important;
    background-color: #fff !important;
    border-color: #ccc !important;
    border-radius: 0 !important;
    font-size: 12px;
}

.circulo {
    border: solid 1px #808080;
    border-radius: 52%;
    width: 40px;
    display: block;
    text-align: center;
    height: 40px;
    float: left;
    margin: 8px;
    padding: 5px;
}

.unidade-circulo {
    width: 30px;
    height: 30px;
    float: left;
    border-radius: 50%;
    background-color: #e1e1e1;
    border: solid 2px #000000;
    margin: 8px;
    vertical-align: central;
    text-align: center;
}

    .unidade-circulo .unidade-numero {
        margin: 2px;
        padding: 1px;
        color: #000000;
        display: inline-table;
        font-size: 9px;
    }

.unidade-quadrada {
    margin-top: 15px;
    float: left;
    width: 50px;
    height: 30px;
    background-color: #e1e1e1;
    border: solid 2px #000000;
    margin: 8px;
    vertical-align: central;
    text-align: center;
}

    .unidade-quadrada .unidade-numero {
        /* margin: 10px;
        padding: 5px;*/
        color: #000000;
        display: inline-table;
    }

.area-titulo {
    margin-bottom: 10px;
    color: #808080;
    background-color: #e1e1e1;
    padding: 2px;
    font-size: 14px;
    text-align: left;
    border-bottom: solid 1px #b4b4b4;
}

.select2-search-choice {
    color: #333 !important;
    background-color: #fff !important;
    border-color: #ccc !important;
    border-radius: 0 !important;
    font-size: 12px;
}

.circulo {
    border: solid 1px #808080;
    border-radius: 52%;
    width: 40px;
    display: block;
    text-align: center;
    height: 40px;
    float: left;
    margin: 8px;
    padding: 5px;
}

#barra {
    position: fixed;
    width: 100%;
    opacity: 0.9;
    height: 40px;
    padding: 5px;
    background-color: black;
}

    #barra .titulo {
        color: #ffffff;
        font-size: 14px;
        font-weight: bold;
        float: left;
        padding: 2px;
        margin-top: 5px;
        margin-right: 5px;
    }

    #barra .btn:first-child {
        margin-left: 10px;
    }

    #barra .btn, #barra .form-group-sm {
        margin-right: 5px;
    }

#barra-unidade {
    width: 240px;
}

#area {
    /*margin-top: 37px!important;*/
    background-size: cover;
}

.unidade-posicionada {
    position: absolute;
    z-index: 1;
    width: 30px;
    right: auto;
    cursor: pointer;
    bottom: auto;
    /*border-bottom: none;*/
    border-color: #e1e1e1;
}

    .unidade-posicionada:hover {
        opacity: 0.7;
    }

.unidade-status {
    display: none;
}

/*.unidade-posicionada > .unidade-numero {
    display: none;
}*/
/*
.unidade-posicionada > .unidade-status {
    display: initial;
    margin: 2px;
    padding: 5px;
    color: #000000;
    display: inline-table;
    transform: rotate(090deg);
    margin-left: -14px;
    margin-top: 13px;
    font-weight: bold;
}
*/
.unidade-posicionada.unidade-posicao.unidade-status {
}

.unidade-posicionada.selecionada {
    /*border-color: #ff6a00;*/
    border: solid 3px #ff6a00;
}

.buttons:hover {
    opacity: 1;
}

.buttons {
    margin: 40px 0 0;
    position: fixed;
    width: 100%;
    background-color: #fff;
    bottom: 0;
    left: 0;
    cursor: pointer;
    z-index: 9;
}

    .buttons .btn {
        margin-right: 10px;
    }

.width__100 {
    width: 100%;
    display: flex;
    height: 100vh;
}

.width__90 {
    width: 90%;
}

.width__10 {
    width: 10%;
}

.info__update {
    position: absolute;
    top: 10px;
    right: 0;
    margin-right: 10px;
    text-align: center;
    background-color: #FFF;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #959595;
}

.zoom__action {
    display: flex;
    width: 100%;
}

.buttons .btn:last-child {
    margin-right: unset !important;
}

@media (max-width: 700px) {

    .zoom__action button {
        flex: 1;
    }

    .zoom__action button {
        margin-top: 5px !important;
        margin-right: unset;
    }

        .zoom__action button i {
            font-size: 20px !important;
            margin: 15px !important;
        }

    .acoes__zoom {
        top: unset !important;
        bottom: 10px;
    }

        .acoes__zoom > i {
            font-size: 40px !important;
        }

    .info__update {
        top: unset !important;
        bottom: 10px;
    }
}

body, body > .wrapper, body > .wrapper > .content, body > .wrapper > .content > .container-fluid {
    height: 100% !important;
}

.info__update {
    display: none;
}


.acoes__zoom {
    cursor: pointer;
    margin-right: 5px;
}

.status__unidade__info, .status {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.status {
    margin: 5px;
    font-size: 16px;
}

.title__status {
    font-weight: bold;
    margin-top: 10px;
    text-align: center;
    font-size: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.bolinha {
    border-radius: 50%;
    width: 20px;
    height: 20px;
    margin-right: 5px;
    border: 1px solid #555555;
}

.espelho__venda {
    border: 1px solid #555555;
    margin: 10px;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    background-color: #FFF;
    border-radius: 5px;
    min-height: calc(100% - 25px)
}

.empreendimento {
    text-align: center;
    margin-top: 10px;
    text-decoration: underline;
}

.bloco {
    margin: 10px;
}

.bloco__descricao {
    text-align: center;
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 5px;
}

.andar {
    display: flex;
    flex-direction: column;
    font-size: 12px;
}

.andar__item {
    display: flex;
}

.andar__descricao {
    padding: 8px;
    width: 28px;
    padding: 5px;
    border-radius: 5px;
    text-align: center;
    background-color: #F2F3F5;
    margin: 0 2px 2px 0;
    border: 1px solid #555555;
}

.unidades {
    display: flex;
    flex: 1;
}

.unidade__item {
    border: 1px solid #555555;
    margin: 2px;
    flex: 1;
    padding: 5px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
}

.status__unidade {
    display: none;
    position: absolute;
    padding: 4px;
    background-color: #333;
    color: #FFF;
    border-radius: 5px;
}


.unidade__item:hover {
    opacity: 0.6;
}
